Subject: bug#66022: 30.0.50; kmacro overwriting global keybindings

From: Eli Zaretskii <[email-masked]>
Date: Wed, 20 Sep 2023 18:04:16 +0300

> Date: Wed, 20 Sep 2023 16:22:24 +0200
> Cc: [email-masked], [email-masked]
> From: Gerd Möllmann <[email-masked]>
> 
> > You are saying that building Emacs in the source tree somehow updates
> > the .pdmp file in the _installation_ tree?  That's got to be
> > macOS-specific, because that should never happen.  The installation
> > tree is modified only by "make install".
> 
> Yup it is.  The installation is done in src/nextstep/Emacs.app/. 
> Emacs.app is a macOS bundle that can then be copied/moved to where the 
> user wants, for example to /Applications.
> 
> > 
> > Any idea which place in the Makefile's or in loadup.el does that?
> 
> I think nextstep/Makefile.in contains
> 
> # FIXME: Don't install the dump file into the app bundle when
> # self-contained install is disabled.
> ${ns_applibexecdir}/Emacs.pdmp: ${ns_appdir} ${ns_check_file} 
> ../src/emacs${EXEEXT}.pdmp
> 	${MKDIR_P} ${ns_applibexecdir}
> 	cp -f ../src/emacs${EXEEXT}.pdmp $@
> 
> and the "all" target has that the pdmp as a dependency.
> 
> I have no idea though what the comment means, or if the cp if necessary 
> for something.

I guess no one imagined that someone will build Emacs from Git _and_
install it.  I' for example, run it directly from the source tree.

But anyway, all you should remember is to say "make install" each time
you rebuild, and then this problem will not happen.  Right?